> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notes

> This endpoint list notes.

### Body

<ParamField body="limit" required="true" type="string">
  This is the limit of the notes.
</ParamField>

<ParamField body="offset" required="true" type="string">
  This is the offset of the notes.
</ParamField>

<ParamField body="order_direction" required="true" type="string">
  This is the order direction of the notes.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the note
</ResponseField>

<ResponseField name="title" type="string">
  This is the title of the note
</ResponseField>

<ResponseField name="body" type="string">
  This is the body of the note
</ResponseField>

<ResponseField name="created_date" type="string">
  This is the created date of the note
</ResponseField>

<ResponseField name="last_modified_date" type="string">
  This is the last modified date of the note
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/note/list' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
  }'
  ```

  ```graphQL GraphQL theme={null}
  query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
    notes(limit: $limit, offset: $offset, order_by: {created_date: $order_direction}) {
          id
          title
          body
          createdDate
          lastModifiedDate
      }
  }
  ```

  ```js Node.js theme={null}
  const notes = await stateset.notes.list({
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  });
  ```

  ```py Python theme={null}
  notes = stateset.notes.list({
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  })
  ```

  ```go Golang  theme={null}
  notes, err := stateset.notes.list(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  )
  ```

  ```ruby Ruby theme={null}
  notes = Stateset::Notes.list(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  )
  ```

  ```java Java theme={null}
  notes notes = Stateset.notes.list(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```csharp C# theme={null}
  notes notes = Stateset.notes.list(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```php PHP theme={null}
  $notes = Stateset\notes::list(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```http HTTP theme={null}
  GET /v1/note HTTP/1.1
  Host: api.stateset.com
  Content-Type: application/json
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "notes": [
          {
              "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
          },
      ]
  }   
  ```
</ResponseExample>
